#!/usr/bin/env ruby
require("gsl")

GSL::Rng.env_setup()
T = Rng::DEFAULT
r = GSL::Rng.new(T)

x = 0.0
y = 0.0

printf("%g %g\n", x, y);

for i in 0...10 do
  dx, dy = r.dir_2d()
  x += dx
  y += dy
  printf("%g %g\n", x, y);
end
